public static interface CassandraEndpointBuilderFactory.CassandraBuilders
| Modifier and Type | Method and Description |
|---|---|
default CassandraEndpointBuilderFactory.CassandraEndpointBuilder |
cql(String path)
Cassandra CQL (camel-cassandraql)
Integrate with Cassandra 2.0 using the CQL3 API (not the Thrift API).
|
default CassandraEndpointBuilderFactory.CassandraEndpointBuilder |
cql(String componentName,
String path)
Cassandra CQL (camel-cassandraql)
Integrate with Cassandra 2.0 using the CQL3 API (not the Thrift API).
|
default CassandraEndpointBuilderFactory.CassandraEndpointBuilder cql(String path)
cql:beanRef:hosts:port/keyspace
Path parameter: beanRef
beanRef is defined using bean:id
Path parameter: hosts
Hostname(s) Cassandra server(s). Multiple hosts can be separated by
comma.
Path parameter: port
Port number of Cassandra server(s)
Path parameter: keyspace
Keyspace to usepath - beanRef:hosts:port/keyspacedefault CassandraEndpointBuilderFactory.CassandraEndpointBuilder cql(String componentName, String path)
cql:beanRef:hosts:port/keyspace
Path parameter: beanRef
beanRef is defined using bean:id
Path parameter: hosts
Hostname(s) Cassandra server(s). Multiple hosts can be separated by
comma.
Path parameter: port
Port number of Cassandra server(s)
Path parameter: keyspace
Keyspace to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - beanRef:hosts:port/keyspaceApache Camel